> ## Documentation Index
> Fetch the complete documentation index at: https://docs-staging-quickstart-revamp.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

> Describes how to disable Refresh Token rotation.

# Disable Refresh Token Rotation

You can disable <Tooltip tip="Refresh Token: Token used to obtain a renewed Access Token without forcing users to log in again." cta="View Glossary" href="/docs/glossary?term=refresh+token">refresh token</Tooltip> rotation for each application using Dashboard or the <Tooltip tip="Refresh Token: Token used to obtain a renewed Access Token without forcing users to log in again." cta="View Glossary" href="/docs/glossary?term=Management+API">Management API</Tooltip>.

## Disable with the Dashboard

1. From the [Auth0 Dashboard](https://manage.auth0.com/#), navigate to **Applications > Applications** and select the application you wish to configure.
2. On the Settings tab, locate the Refresh Token Rotation section and disable the Allow Refresh Token Rotation toggle.
3. Select **Save Changes** at the bottom of the screen.

## Disable with the Management API

1. Disable refresh token rotation for each application using the Management API:

   {/* codeblockOld.header.login.logInButton codeblockOld.header.login.configureSnippet */}

   ```javascript lines
   const auth0 = await createAuth0Client({
         domain: '{yourDomain}',
         client_id: '{yourClientId}',
         audience: '{yourApiIdentifier}',
         useRefreshTokens: false
       });
   ```

2. Configure the non-rotating refresh token settings as follows:

   ```text lines
   PATCH /api/v2/clients/{client_id}
       {
         "refresh_token": {
       "rotation_type": "non-rotating",
       "expiration_type": "non-expiring"
         }
       }
   ```

## Learn more

* [Refresh Token Rotation](/docs/secure/tokens/refresh-tokens/refresh-token-rotation)
* [Configure Refresh Token Rotation](/docs/secure/tokens/refresh-tokens/configure-refresh-token-rotation)
* [Use Refresh Token Rotation](/docs/secure/tokens/refresh-tokens/use-refresh-token-rotation)
